=== debian/control ===
Source: audiolink
Section: sound
Priority: optional
Maintainer: Gleisson Jesuino Joaquim Cardoso <gleissoncg2@gmail.com>
Build-Depends: debhelper-compat (= 13), perl
Standards-Version: 4.5.0
Homepage: http://audiolink.sourceforge.net/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/audiolink
Vcs-Git: https://salsa.debian.org/debian/audiolink.git

Package: audiolink
Architecture: all
Depends: default-mysql-client | virtual-mysql-client,
         libdbd-mysql-perl,
         libfile-temp-perl,
         libmp3-info-perl,
         libogg-vorbis-header-pureperl-perl,
         ${misc:Depends},
         ${perl:Depends}
Recommends: default-mysql-server | virtual-mysql-server
Description: makes managing and searching for music easier
 AudioLink is a tool that makes searching for music on your local
 storage media easier and faster. Your searches can include a variety
 of criteria, like male artists, female artists, band, genre, etc.
 .
 It works with MP3 and Ogg Vorbis files and creates a MySQL database
 in which it stores the information about the music files. It creates
 symbolic links to the actual music files based on the search
 results. You can search for multiple fields, like artist, band,
 composer, lyricist, etc.
