=== debian/tests/control ===
Test-Command: audiolink -h 2>&1 | grep '^Usage'
Restrictions: superficial
