=== debian/watch ===
version=4
https://sf.net/audiolink/audiolink@ANY_VERSION@@ARCHIVE_EXT@
